Skip to main content

List Spending Plan Iterations

Use this endpoint to list all the spending plan iterations associated with the spending plan.

GET
/users/{user_guid}/spending_plans/{spending_plan_guid}/iterations

Request sample

Language:shell

_10
curl -i -X GET 'https://int-api.mx.com/users/USR-72086f59-6684-4adf-8f29-c4d32db43cd7/spending_plans/SPL-dbfe201d-c341-4bff-93c0-62a918d0b600/iterations' \
_10
-u 'client_id:api_key' \
_10
-H 'Accept: application/vnd.mx.api.v2beta+json' \
_10
-H 'Content-Type: application/json'

Response sample

200
Language:json

_20
{
_20
"iterations": [
_20
{
_20
"created_at": "2023-05-03T18:39:20Z",
_20
"updated_at": "2023-05-03T18:39:20Z",
_20
"end_on": "2023-05-31",
_20
"guid": "SPI-848e6648-3fa3-4632-ac8f-e65f03167102",
_20
"iteration_number": 1,
_20
"spending_plan_guid": "SPL-dbfe201d-c341-4bff-93c0-62a918d0b600",
_20
"start_on": "2023-05-01",
_20
"user_guid": "USR-72086f59-6684-4adf-8f29-c4d32db43cd7"
_20
}
_20
],
_20
"pagination": {
_20
"current_page": 1,
_20
"per_page": 25,
_20
"total_entries": 1,
_20
"total_pages": 1
_20
}
_20
}